Bug 224226 - graphics/wayland: re-enable posix_fallocate()
Summary: graphics/wayland: re-enable posix_fallocate()
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 224200 237650
  Show dependency treegraph
 
Reported: 2017-12-10 19:02 UTC by Jan Beich
Modified: 2020-02-24 20:01 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
v0 (2.52 KB, patch)
2017-12-10 19:02 UTC, Jan Beich
jbeich: maintainer-approval? (x11)
jbeich: maintainer-approval? (greg)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-10 19:02:46 UTC
Created attachment 188691 [details]
v0

Instead of disabling posix_fallocate() for all FreeBSD versions let's treat failure gracefully, similar to base r325420.

Can someone help with testing? I don't use Wayland.
Comment 1 Greg V 2017-12-10 20:32:54 UTC
This is the same os-compatibility.c file as in Weston. I would prefer using SHM_ANON instead of tempfiles (and posix_fallocate doesn't work on that).

https://github.com/myfreeweb/weston/commit/174d428a4422f3f59a6629cb63be2eb22f1e1f39 ← (currently writing from this version of weston)
Comment 2 Niclas Zeising freebsd_committer 2018-01-12 21:48:32 UTC
Hi!

Greg, any chance you can check with upstream about including your changes?

I don't have a wayland/weston system myself to test with currently.
Comment 3 Greg V 2018-01-13 19:37:34 UTC
(In reply to Niclas Zeising from comment #2)
I've sent this change as a patch to weston (not to libwayland yet) but it was not reviewed yet.
Comment 4 Niclas Zeising freebsd_committer 2019-07-07 16:19:28 UTC
I've added a similar patch that uses SHM_ANON instead of posix_fallocate.  It can be found here, together with the update to wayland 1.17.

https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/wayland
Comment 5 commit-hook freebsd_committer 2020-01-28 11:53:39 UTC
A commit references this bug:

Author: zeising
Date: Tue Jan 28 11:53:09 UTC 2020
New revision: 524473
URL: https://svnweb.freebsd.org/changeset/ports/524473

Log:
  graphics/wayland: Update to 1.17

  Update graphics/wayland to 1.17 [1]
  Add a patch to use shm_anon instead of posix_fallocate(), as the latter
  doesn't work on ZFS.  [2]

  PR:		237650 [1], 224226 [2]
  Submitted by:	jbeich [1], jbeich and Greg V [2] (original version)
  Reviewed by:	Greg V, manu
  Differential Revision:	https://reviews.freebsd.org/D20099

Changes:
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo
  head/graphics/wayland/files/patch-Makefile.am
  head/graphics/wayland/files/patch-cursor_os-compatibility.c
  head/graphics/wayland/files/patch-tests_sanity-test.c
  head/graphics/wayland/files/patch-tests_test-runner.c
Comment 6 commit-hook freebsd_committer 2020-02-24 20:01:54 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb 24 20:01:29 UTC 2020
New revision: 527045
URL: https://svnweb.freebsd.org/changeset/ports/527045

Log:
  graphics/wayland: replace posix_fallocate hack with a proper fix

  PR:		224226
  Approved by:	x11 (manu, zeising)
  Differential Revision:  https://reviews.freebsd.org/D23696

Changes:
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo